package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

public class AssociatedSystemVirtualNetwork {
    private String schemaVersion;
    private String group;
    private Metadata metadata;
    private String virtualEthernetAdapterMACAddressPrefix;
    private VirtualSwitches virtualSwitches;

    public AssociatedSystemVirtualNetwork() {
    }

    public String getGroup() {
        return group;
    }

    public void setGroup(String group) {
        this.group = group;
    }

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public String getVirtualEthernetAdapterMACAddressPrefix() {
        return virtualEthernetAdapterMACAddressPrefix;
    }

    public void setVirtualEthernetAdapterMACAddressPrefix(String virtualEthernetAdapterMACAddressPrefix) {
        this.virtualEthernetAdapterMACAddressPrefix = virtualEthernetAdapterMACAddressPrefix;
    }

    public VirtualSwitches getVirtualSwitches() {
        return virtualSwitches;
    }

    public void setVirtualSwitches(VirtualSwitches virtualSwitches) {
        this.virtualSwitches = virtualSwitches;
    }

    @Override
    public String toString() {
        return "AssociatedSystemVirtualNetwork [metadata=" + metadata + ", virtualEthernetAdapterMACAddressPrefix="
            + virtualEthernetAdapterMACAddressPrefix + "]";
    }
}
